/*
 * TemplateJDialog.java
 *
 * Created on 1 octobre 2008, 08:26
 */

package org.cocktail.sapics.client.gui;

import java.awt.BorderLayout;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.List;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.fwkcktlcompta.client.metier.EOPlanComptableExer;
import org.cocktail.sapics.client.eof.model.EOCodeMarche;
import org.cocktail.sapics.client.eof.model.EOCodeMarcheFour;
import org.cocktail.sapics.client.eof.model.EOCodeMarchePlanco;
import org.cocktail.sapics.client.eof.model.EOFournis;
import org.cocktail.sapics.client.eof.model.EOMapaCe;
import org.cocktail.sapics.client.eof.model.EOMapaTrancheExer;
import org.cocktail.sapics.client.eof.model.EOTypeCodeMarche;
import org.cocktail.sapics.client.swing.TableSorter;
import org.cocktail.sapics.client.swing.ZEOTable;
import org.cocktail.sapics.client.swing.ZEOTableCellRenderer;
import org.cocktail.sapics.client.swing.ZEOTableModel;
import org.cocktail.sapics.client.swing.ZEOTableModelColumn;
import org.cocktail.sapics.client.utilities.CocktailConstantes;

import com.webobjects.eointerface.EODisplayGroup;
import com.webobjects.foundation.NSArray;

/**
 *
 * @author  cpinsard
 */
public class CodesNomenclaturesView  extends javax.swing.JDialog {

	/**
	 * 
	 */
	private static final long serialVersionUID = -6603863928653518115L;

	private EODisplayGroup eod1, eod2, eodFournis, eodSeuils;
	
	protected ZEOTable myEOTable1, myEOTable2, myEOTableFournis, myEOTableSeuils;
	protected ZEOTableModel myTableModel1, myTableModel2, myTableModelFournis, myTableModelSeuils ;
	protected TableSorter myTableSorter1, myTableSorter2, myTableSorterFournis, myTableSorterSeuils;

	private EODisplayGroup eodDerivationComptable;
	private ZEOTable myEOTableDerivationComptable;
	private ZEOTableModel myTableModelDerivationComptable;
	private TableSorter myTableSorterDerivationComptable;
	
	ZEOTableCellRenderer rendererNiveau1;
	ZEOTableCellRenderer rendererNiveau2;

    /** Creates new form TemplateJDialog */
    public CodesNomenclaturesView(java.awt.Frame parent, boolean modal, EODisplayGroup dgNiveau1, 
    		EODisplayGroup dgNiveau2, EODisplayGroup dgFournis, EODisplayGroup dgSeuils,
    		EODisplayGroup dgDerivationComptable, ZEOTableCellRenderer renderer1, 
    		ZEOTableCellRenderer renderer2) {
        super(parent, modal);
        
        eod1 = dgNiveau1;
        eod2 = dgNiveau2;
        eodFournis = dgFournis;
        eodSeuils = dgSeuils;
        eodDerivationComptable = dgDerivationComptable;
        
        rendererNiveau1 = renderer1;
        rendererNiveau2 = renderer2;       

        initComponents();
        initGui();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jLabel1 = new javax.swing.JLabel();
        exercices = new javax.swing.JComboBox();
        viewTableNiveau1 = new javax.swing.JPanel();
        tfFiltreNiveau1 = new javax.swing.JTextField();
        jSeparator1 = new javax.swing.JSeparator();
        btnAddNiveau1 = new javax.swing.JButton();
        viewTableNiveau2 = new javax.swing.JPanel();
        btnAddNiveau2 = new javax.swing.JButton();
        btnFermer = new javax.swing.JButton();
        tfTitreCodeMarche = new javax.swing.JTextField();
        btnUpdate = new javax.swing.JButton();
        tfFiltreNiveau2 = new javax.swing.JTextField();
        jLabel11 = new javax.swing.JLabel();
        viewTableSeuils = new javax.swing.JPanel();
        typeCode = new javax.swing.JComboBox();
        jLabel14 = new javax.swing.JLabel();
        viewTableFournis = new javax.swing.JPanel();
        jLabel16 = new javax.swing.JLabel();
        jLabel17 = new javax.swing.JLabel();
        tfMontant = new javax.swing.JTextField();
        btnDelFournis = new javax.swing.JButton();
        btnAddFournis = new javax.swing.JButton();
        btnAddSeuil = new javax.swing.JButton();
        btnDelSeuil = new javax.swing.JButton();
        checkRecherche = new javax.swing.JCheckBox();
        btnDelNiveau1 = new javax.swing.JButton();
        btnDelNiveau2 = new javax.swing.JButton();
        check3Cmp = new javax.swing.JCheckBox();
        checkMonopole = new javax.swing.JCheckBox();
        checkAutres = new javax.swing.JCheckBox();
        btnVisibleNiveau1 = new javax.swing.JButton();
        checkCNMasques = new javax.swing.JCheckBox();
        btnVisibleNiveau2 = new javax.swing.JButton();
        viewTableDerivationComptable = new javax.swing.JPanel();
        jLabelDerivationComptable = new javax.swing.JLabel();
        btnAddCompte = new javax.swing.JButton();
        btnDelCompte = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.DO_NOTHING_ON_CLOSE);
        setTitle("Gestion des codes nomenclatures");
        setMinimumSize(new java.awt.Dimension(691, 300));
        setPreferredSize(new java.awt.Dimension(874, 598));

        jLabel1.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel1.setText("Exercice : ");

        exercices.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        viewTableNiveau1.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        viewTableNiveau1.setPreferredSize(new java.awt.Dimension(0, 241));
        viewTableNiveau1.setLayout(new java.awt.BorderLayout());

        btnAddNiveau1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnAddNiveau1ActionPerformed(evt);
            }
        });

        viewTableNiveau2.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        viewTableNiveau2.setPreferredSize(new java.awt.Dimension(0, 241));
        viewTableNiveau2.setLayout(new java.awt.BorderLayout());

        btnFermer.setText("Fermer");
        btnFermer.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnFermerActionPerformed(evt);
            }
        });

        tfTitreCodeMarche.setBackground(new java.awt.Color(204, 204, 255));
        tfTitreCodeMarche.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfTitreCodeMarche.setText("Détail Code Nomenclature");

        btnUpdate.setText("Modifier");
        btnUpdate.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnUpdateActionPerformed(evt);
            }
        });

        tfFiltreNiveau2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                tfFiltreNiveau2ActionPerformed(evt);
            }
        });

        jLabel11.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel11.setText("Seuils");

        viewTableSeuils.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        viewTableSeuils.setLayout(new java.awt.BorderLayout());

        typeCode.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        jLabel14.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel14.setText("Fournisseurs");

        viewTableFournis.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        viewTableFournis.setLayout(new java.awt.BorderLayout());

        jLabel16.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel16.setText("Type Code");

        jLabel17.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel17.setText("Montant ");

        btnDelFournis.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnDelFournisActionPerformed(evt);
            }
        });

        btnAddFournis.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnAddFournisActionPerformed(evt);
            }
        });

        checkRecherche.setText("Recherche");

        btnDelNiveau2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnDelNiveau2ActionPerformed(evt);
            }
        });

        check3Cmp.setText("3 CMP");

        checkMonopole.setText("Monopole");

        checkAutres.setText("Autres");

        btnVisibleNiveau1.setToolTipText("Activer/Désactiver le code de nomenclature sélectionné");
        btnVisibleNiveau1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnVisibleNiveau1ActionPerformed(evt);
            }
        });

        checkCNMasques.setText("Afficher les Codes de Nomenclature désactivés");
        checkCNMasques.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkCNMasquesActionPerformed(evt);
            }
        });

        btnVisibleNiveau2.setToolTipText("Activer/Désactiver le code de nomenclature sélectionné");
        btnVisibleNiveau2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnVisibleNiveau2ActionPerformed(evt);
            }
        });

        viewTableDerivationComptable.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        viewTableDerivationComptable.setPreferredSize(new java.awt.Dimension(4, 105));
        viewTableDerivationComptable.setLayout(new java.awt.BorderLayout());

        jLabelDerivationComptable.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabelDerivationComptable.setText("Dérivation comptable");

        btnAddCompte.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnAddCompteActionPerformed(evt);
            }
        });

        btnDelCompte.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnDelCompteActionPerformed(evt);
            }
        });

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, jSeparator1)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .add(tfTitreCodeMarche)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnUpdate, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 95, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .add(0, 0, Short.MAX_VALUE)
                        .add(btnFermer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 124, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(layout.createSequentialGroup()
                                .add(jLabel16)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(typeCode, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 112, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                .add(jLabel17)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfMontant, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 90, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(viewTableSeuils, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 387, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                                .add(checkRecherche)
                                .add(15, 15, 15)
                                .add(check3Cmp)
                                .add(18, 18, 18)
                                .add(checkMonopole)
                                .add(18, 18, 18)
                                .add(checkAutres))
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(org.jdesktop.layout.GroupLayout.TRAILING, btnDelSeuil, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(org.jdesktop.layout.GroupLayout.TRAILING, btnAddSeuil, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(layout.createSequentialGroup()
                                        .add(269, 269, 269)
                                        .add(jLabel14, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 119, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(viewTableFournis, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                                            .add(btnAddFournis, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                            .add(btnDelFournis, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))))))
                    .add(layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(tfFiltreNiveau1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 212, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(layout.createSequentialGroup()
                                .add(viewTableNiveau1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                                    .add(btnAddNiveau1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(btnDelNiveau1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(btnVisibleNiveau1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                        .add(18, 18, 18)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(layout.createSequentialGroup()
                                .add(viewTableNiveau2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(btnAddNiveau2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(btnDelNiveau2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(btnVisibleNiveau2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                            .add(tfFiltreNiveau2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 235, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                    .add(layout.createSequentialGroup()
                        .add(viewTableDerivationComptable, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(btnAddCompte, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(btnDelCompte, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                    .add(layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(jLabel11, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 51, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(layout.createSequentialGroup()
                                .add(jLabel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 75, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(exercices, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(18, 18, 18)
                                .add(checkCNMasques))
                            .add(jLabelDerivationComptable, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 174, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .add(0, 0, Short.MAX_VALUE)))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel1)
                    .add(exercices, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(checkCNMasques))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jSeparator1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(tfFiltreNiveau1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(tfFiltreNiveau2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(viewTableNiveau1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 165, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createSequentialGroup()
                        .add(34, 34, 34)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(viewTableNiveau2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 165, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(layout.createSequentialGroup()
                                .add(btnAddNiveau2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(btnDelNiveau2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(btnVisibleNiveau2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(layout.createSequentialGroup()
                                .add(btnAddNiveau1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(btnDelNiveau1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(btnVisibleNiveau1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))))
                .add(18, 18, 18)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(tfTitreCodeMarche, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnUpdate, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 28, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel16)
                    .add(typeCode, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(tfMontant, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel17)
                    .add(checkRecherche)
                    .add(check3Cmp)
                    .add(checkMonopole)
                    .add(checkAutres))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel11)
                    .add(jLabel14))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                    .add(layout.createSequentialGroup()
                        .add(btnAddSeuil, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnDelSeuil, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createSequentialGroup()
                        .add(btnAddFournis, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnDelFournis, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(viewTableSeuils, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 105, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(viewTableFournis, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 105, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jLabelDerivationComptable)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(viewTableDerivationComptable, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 105, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 14, Short.MAX_VALUE)
                        .add(btnFermer))
                    .add(layout.createSequentialGroup()
                        .add(btnAddCompte, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnDelCompte, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(0, 0, Short.MAX_VALUE)))
                .addContainerGap())
        );

        setSize(new java.awt.Dimension(833, 692));
        setLocationRelativeTo(null);
    }// </editor-fold>//GEN-END:initComponents

    private void btnFermerActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnFermerActionPerformed
        // TODO add your handling code here:
        dispose();
    }//GEN-LAST:event_btnFermerActionPerformed

    private void btnDelNiveau2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnDelNiveau2ActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_btnDelNiveau2ActionPerformed

    private void btnUpdateActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnUpdateActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_btnUpdateActionPerformed

    private void tfFiltreNiveau2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_tfFiltreNiveau2ActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_tfFiltreNiveau2ActionPerformed

    private void btnVisibleNiveau1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnVisibleNiveau1ActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_btnVisibleNiveau1ActionPerformed

    private void checkCNMasquesActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkCNMasquesActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_checkCNMasquesActionPerformed

    private void btnVisibleNiveau2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnVisibleNiveau2ActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_btnVisibleNiveau2ActionPerformed

    private void btnAddNiveau1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnAddNiveau1ActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_btnAddNiveau1ActionPerformed

    private void btnAddCompteActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnAddCompteActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_btnAddCompteActionPerformed

    private void btnDelCompteActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnDelCompteActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_btnDelCompteActionPerformed

    private void btnDelFournisActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnDelFournisActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_btnDelFournisActionPerformed

    private void btnAddFournisActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnAddFournisActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_btnAddFournisActionPerformed

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
            	MarchesSaisieView dialog = new MarchesSaisieView(new javax.swing.JFrame(), true);
                dialog.addWindowListener(new java.awt.event.WindowAdapter() {
                    public void windowClosing(java.awt.event.WindowEvent e) {
                        System.exit(0);
                    }
                });
                dialog.setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnAddCompte;
    private javax.swing.JButton btnAddFournis;
    private javax.swing.JButton btnAddNiveau1;
    private javax.swing.JButton btnAddNiveau2;
    private javax.swing.JButton btnAddSeuil;
    private javax.swing.JButton btnDelCompte;
    private javax.swing.JButton btnDelFournis;
    private javax.swing.JButton btnDelNiveau1;
    private javax.swing.JButton btnDelNiveau2;
    private javax.swing.JButton btnDelSeuil;
    private javax.swing.JButton btnFermer;
    private javax.swing.JButton btnUpdate;
    private javax.swing.JButton btnVisibleNiveau1;
    private javax.swing.JButton btnVisibleNiveau2;
    private javax.swing.JCheckBox check3Cmp;
    private javax.swing.JCheckBox checkAutres;
    private javax.swing.JCheckBox checkCNMasques;
    private javax.swing.JCheckBox checkMonopole;
    private javax.swing.JCheckBox checkRecherche;
    private javax.swing.JComboBox exercices;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel14;
    private javax.swing.JLabel jLabel16;
    private javax.swing.JLabel jLabel17;
    private javax.swing.JLabel jLabelDerivationComptable;
    private javax.swing.JSeparator jSeparator1;
    private javax.swing.JTextField tfFiltreNiveau1;
    private javax.swing.JTextField tfFiltreNiveau2;
    private javax.swing.JTextField tfMontant;
    private javax.swing.JTextField tfTitreCodeMarche;
    private javax.swing.JComboBox typeCode;
    private javax.swing.JPanel viewTableDerivationComptable;
    private javax.swing.JPanel viewTableFournis;
    private javax.swing.JPanel viewTableNiveau1;
    private javax.swing.JPanel viewTableNiveau2;
    private javax.swing.JPanel viewTableSeuils;
    // End of variables declaration//GEN-END:variables
    
    
    private void initGui() {
            	
       btnAddNiveau1.setIcon(CocktailConstantes.ICON_ADD);
	
       btnAddNiveau2.setIcon(CocktailConstantes.ICON_ADD);
 
       btnVisibleNiveau1.setIcon(CocktailConstantes.ICON_EYE_CLOSE);
       btnVisibleNiveau2.setIcon(CocktailConstantes.ICON_EYE_CLOSE);

       btnDelNiveau1.setIcon(CocktailConstantes.ICON_DELETE);
       btnDelNiveau2.setIcon(CocktailConstantes.ICON_DELETE);

       btnUpdate.setIcon(CocktailConstantes.ICON_UPDATE);

       btnAddFournis.setIcon(CocktailConstantes.ICON_ADD);
       btnDelFournis.setIcon(CocktailConstantes.ICON_DELETE);

       btnAddSeuil.setIcon(CocktailConstantes.ICON_ADD);
       btnDelSeuil.setIcon(CocktailConstantes.ICON_DELETE);

       btnFermer.setIcon(CocktailConstantes.ICON_CLOSE);

		myTableModel1 = new ZEOTableModel(eod1, newCodeMarcheZEOTMC(rendererNiveau1, eod1));
		myTableSorter1 = new TableSorter(myTableModel1);

		myEOTable1 = new ZEOTable(myTableSorter1);
		//myEOTableNuits.addListener(myListenerContrat);
		myTableSorter1.setTableHeader(myEOTable1.getTableHeader());		

		myEOTable1.setBackground(CocktailConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTable1.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTable1.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);

		viewTableNiveau1.setLayout(new BorderLayout());
		viewTableNiveau1.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableNiveau1.removeAll();
		viewTableNiveau1.add(new JScrollPane(myEOTable1), BorderLayout.CENTER);

		
		myTableModel2 = new ZEOTableModel(eod2, newCodeMarcheZEOTMC(rendererNiveau2, eod2));
		myTableSorter2 = new TableSorter(myTableModel2);

		myEOTable2 = new ZEOTable(myTableSorter2);
		//myEOTableNuits.addListener(myListenerContrat);
		myTableSorter2.setTableHeader(myEOTable2.getTableHeader());		

		myEOTable2.setBackground(CocktailConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTable2.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTable2.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);

		viewTableNiveau2.setLayout(new BorderLayout());
		viewTableNiveau2.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableNiveau2.removeAll();
		viewTableNiveau2.add(new JScrollPane(myEOTable2), BorderLayout.CENTER);

		Vector<ZEOTableModelColumn> myCols = new Vector<ZEOTableModelColumn>();
		myCols = new Vector<ZEOTableModelColumn>();

		ZEOTableModelColumn col = new ZEOTableModelColumn(eodFournis, EOCodeMarcheFour.FOURNIS_KEY+"."+EOFournis.NOM_COMPLET_KEY, "Nom", 100);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		myTableModelFournis = new ZEOTableModel(eodFournis, myCols);
		myTableSorterFournis = new TableSorter(myTableModelFournis);

		myEOTableFournis = new ZEOTable(myTableSorterFournis);
		//myEOTableFournis.addListener(myListenerContrat);
		myTableSorterFournis.setTableHeader(myEOTableFournis.getTableHeader());		

		myEOTableFournis.setBackground(CocktailConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTableFournis.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTableFournis.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);

		viewTableFournis.setLayout(new BorderLayout());
		viewTableFournis.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableFournis.removeAll();
		viewTableFournis.add(new JScrollPane(myEOTableFournis), BorderLayout.CENTER);
		
		
		
		myCols = new Vector<ZEOTableModelColumn>();

		col = new ZEOTableModelColumn(eodSeuils, EOMapaCe.DATE_MODIFICATION_KEY, "Date", 50);
		col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay((DateFormat)new SimpleDateFormat("dd/MM/yyyy"));
		myCols.add(col);
		col = new ZEOTableModelColumn(eodSeuils, EOMapaCe.MAPA_TRANCHE_EXER_KEY+"."+EOMapaTrancheExer.MTE_LIBELLE_KEY, "Libellé", 140);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodSeuils, EOMapaCe.MAPA_TRANCHE_EXER_KEY+"."+EOMapaTrancheExer.MTE_MIN_KEY, "Min", 40);
		col.setAlignment(SwingConstants.RIGHT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodSeuils, EOMapaCe.MAPA_TRANCHE_EXER_KEY+"."+EOMapaTrancheExer.MTE_MAX_KEY, "Max", 40);
		col.setAlignment(SwingConstants.RIGHT);
		myCols.add(col);

		myTableModelSeuils = new ZEOTableModel(eodSeuils, myCols);
		myTableSorterSeuils = new TableSorter(myTableModelSeuils);

		myEOTableSeuils = new ZEOTable(myTableSorterSeuils);
		myTableSorterSeuils.setTableHeader(myEOTableSeuils.getTableHeader());		

		myEOTableSeuils.setBackground(CocktailConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTableSeuils.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTableSeuils.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);

		viewTableSeuils.setLayout(new BorderLayout());
		viewTableSeuils.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableSeuils.removeAll();
		viewTableSeuils.add(new JScrollPane(myEOTableSeuils), BorderLayout.CENTER);
		
		initDerivationComptableGui();
    }
    
    private void initDerivationComptableGui() {
        getBtnAddCompte().setIcon(CocktailConstantes.ICON_ADD);
        getBtnDelCompte().setIcon(CocktailConstantes.ICON_DELETE);
        
        List<ZEOTableModelColumn> columnsDefinition = new ArrayList<ZEOTableModelColumn>();
        ZEOTableModelColumn numeroCompteColumn = new ZEOTableModelColumn(eodDerivationComptable, EOCodeMarchePlanco.TO_PLAN_COMPTABLE_KEY + "." + EOPlanComptableExer.PCO_NUM_KEY, "Compte", 60);
        numeroCompteColumn.setAlignment(SwingConstants.LEFT);
        
        ZEOTableModelColumn libelleCompteColumn = new ZEOTableModelColumn(eodDerivationComptable, EOCodeMarchePlanco.TO_PLAN_COMPTABLE_KEY + "." + EOPlanComptableExer.PCO_LIBELLE_KEY, "Libellé", 160);
        libelleCompteColumn.setAlignment(SwingConstants.LEFT);
        
        ZEOTableModelColumn etatCompteColumn = new ZEOTableModelColumn(eodDerivationComptable, EOCodeMarchePlanco.TO_PLAN_COMPTABLE_KEY + "." + EOPlanComptableExer.PCO_VALIDITE_KEY, "Statut", 50);
        etatCompteColumn.setAlignment(SwingConstants.CENTER);
        
        columnsDefinition.add(numeroCompteColumn);
        columnsDefinition.add(libelleCompteColumn);
        columnsDefinition.add(etatCompteColumn);
        
        this.myTableModelDerivationComptable = new ZEOTableModel(eodDerivationComptable, columnsDefinition);
        this.myTableSorterDerivationComptable = new TableSorter(myTableModelDerivationComptable);
        this.myEOTableDerivationComptable = new ZEOTable(myTableSorterDerivationComptable);
        
        this.viewTableDerivationComptable.removeAll();
        this.viewTableDerivationComptable.add(new JScrollPane(myEOTableDerivationComptable), BorderLayout.CENTER);
    }

	private Vector<ZEOTableModelColumn> newCodeMarcheZEOTMC(ZEOTableCellRenderer renderer, EODisplayGroup eod) {
		
		Vector<ZEOTableModelColumn> myCols = new Vector<ZEOTableModelColumn>();

		ZEOTableModelColumn col = new ZEOTableModelColumn(eod, EOCodeMarche.CM_CODE_KEY, "Code", 50);
		col.setAlignment(SwingConstants.LEFT);
		col.setTableCellRenderer(renderer);
		myCols.add(col);
		col = new ZEOTableModelColumn(eod, EOCodeMarche.CM_LIB_KEY, "Libellé", 200);
		col.setAlignment(SwingConstants.LEFT);
		col.setTableCellRenderer(renderer);
		myCols.add(col);
		col = new ZEOTableModelColumn(eod, EOCodeMarche.TO_TYPE_CODE_MARCHE_KEY + "." + EOTypeCodeMarche.TCM_LIBELLE_KEY, "Type", 50);
		col.setAlignment(SwingConstants.LEFT);
		col.setTableCellRenderer(renderer);
		myCols.add(col);
		return myCols;
	}
    
	public ZEOTable getMyEOTableFournis() {
		return myEOTableFournis;
	}

	public void setMyEOTableFournis(ZEOTable myEOTableFournis) {
		this.myEOTableFournis = myEOTableFournis;
	}

	


	public javax.swing.JCheckBox getCheck3Cmp() {
		return check3Cmp;
	}

	public void setCheck3Cmp(javax.swing.JCheckBox check3Cmp) {
		this.check3Cmp = check3Cmp;
	}

	public javax.swing.JCheckBox getCheckAutres() {
		return checkAutres;
	}

	public void setCheckAutres(javax.swing.JCheckBox checkAutres) {
		this.checkAutres = checkAutres;
	}

	public javax.swing.JCheckBox getCheckMonopole() {
		return checkMonopole;
	}

	public void setCheckMonopole(javax.swing.JCheckBox checkMonopole) {
		this.checkMonopole = checkMonopole;
	}

	public ZEOTableModel getMyTableModelFournis() {
		return myTableModelFournis;
	}

	public void setMyTableModelFournis(ZEOTableModel myTableModelFournis) {
		this.myTableModelFournis = myTableModelFournis;
	}

	public javax.swing.JButton getBtnAddFournis() {
		return btnAddFournis;
	}

	public void setBtnAddFournis(javax.swing.JButton btnAddFournis) {
		this.btnAddFournis = btnAddFournis;
	}

	public javax.swing.JButton getBtnDelFournis() {
		return btnDelFournis;
	}
	
	

	public javax.swing.JButton getBtnDelNiveau1() {
		return btnDelNiveau1;
	}

	public void setBtnDelNiveau1(javax.swing.JButton btnDelNiveau1) {
		this.btnDelNiveau1 = btnDelNiveau1;
	}

	public javax.swing.JButton getBtnDelNiveau2() {
		return btnDelNiveau2;
	}

	public void setBtnDelNiveau2(javax.swing.JButton btnDelNiveau2) {
		this.btnDelNiveau2 = btnDelNiveau2;
	}

	public void setBtnDelFournis(javax.swing.JButton btnDelFournis) {
		this.btnDelFournis = btnDelFournis;
	}

	public javax.swing.JButton getBtnFermer() {
		return btnFermer;
	}

	public void setBtnFermer(javax.swing.JButton btnFermer) {
		this.btnFermer = btnFermer;
	}

	public javax.swing.JButton getBtnUpdate() {
		return btnUpdate;
	}

	public void setBtnUpdate(javax.swing.JButton btnUpdate) {
		this.btnUpdate = btnUpdate;
	}

	public javax.swing.JButton getBtnVisibleNiveau1() {
		return btnVisibleNiveau1;
	}

	public void setBtnVisibleNiveau1(javax.swing.JButton btnVisibleNiveau1) {
		this.btnVisibleNiveau1 = btnVisibleNiveau1;
	}

	public javax.swing.JButton getBtnVisibleNiveau2() {
		return btnVisibleNiveau2;
	}

	public void setBtnVisibleNiveau2(javax.swing.JButton btnVisibleNiveau2) {
		this.btnVisibleNiveau2 = btnVisibleNiveau2;
	}

	public javax.swing.JTextField getTfMontant() {
		return tfMontant;
	}

	public void setTfMontant(javax.swing.JTextField tfMontant) {
		this.tfMontant = tfMontant;
	}

	public javax.swing.JTextField getTfTitreCodeMarche() {
		return tfTitreCodeMarche;
	}

	public void setTfTitreCodeMarche(javax.swing.JTextField tfTitreCodeMarche) {
		this.tfTitreCodeMarche = tfTitreCodeMarche;
	}

	public javax.swing.JComboBox getTypeCode() {
		return typeCode;
	}

	public void setTypeCode(javax.swing.JComboBox typeCode) {
		this.typeCode = typeCode;
	}

	public ZEOTable getMyEOTable2() {
		return myEOTable2;
	}

	public void setMyEOTable2(ZEOTable myEOTable2) {
		this.myEOTable2 = myEOTable2;
	}

	public javax.swing.JButton getBtnAddNiveau2() {
		return btnAddNiveau2;
	}

	public void setBtnAddNiveau2(javax.swing.JButton btnAddNiveau2) {
		this.btnAddNiveau2 = btnAddNiveau2;
	}

	public ZEOTable getMyEOTableSeuils() {
		return myEOTableSeuils;
	}

	public void setMyEOTableSeuils(ZEOTable myEOTableSeuils) {
		this.myEOTableSeuils = myEOTableSeuils;
	}

	public ZEOTableModel getMyTableModelSeuils() {
		return myTableModelSeuils;
	}

	public void setMyTableModelSeuils(ZEOTableModel myTableModelSeuils) {
		this.myTableModelSeuils = myTableModelSeuils;
	}

	public javax.swing.JButton getBtnAddSeuil() {
		return btnAddSeuil;
	}

	public void setBtnAddSeuil(javax.swing.JButton btnAddSeuil) {
		this.btnAddSeuil = btnAddSeuil;
	}

	public javax.swing.JButton getBtnDelSeuil() {
		return btnDelSeuil;
	}

	public void setBtnDelSeuil(javax.swing.JButton btnDelSeuil) {
		this.btnDelSeuil = btnDelSeuil;
	}

	public javax.swing.JCheckBox getCheckRecherche() {
		return checkRecherche;
	}

	public void setCheckRecherche(javax.swing.JCheckBox checkRecherche) {
		this.checkRecherche = checkRecherche;
	}

	public void setTypesCodes (NSArray liste) {

		typeCode.removeAllItems();
		for (int i=0;i<liste.count();i++)
			typeCode.addItem(liste.objectAtIndex(i));
	}

	public void setListeExercices(NSArray liste) {

		exercices.removeAllItems();
		for (int i=0;i<liste.count();i++)
			exercices.addItem(liste.objectAtIndex(i));
	}

	public javax.swing.JButton getBtnAddNiveau1() {
		return btnAddNiveau1;
	}

	public void setBtnAddNiveau1(javax.swing.JButton btnAddNiveau1) {
		this.btnAddNiveau1 = btnAddNiveau1;
	}

	public javax.swing.JComboBox getExercices() {
		return exercices;
	}

	public void setExercices(javax.swing.JComboBox exercices) {
		this.exercices = exercices;
	}

	public ZEOTableModel getMyTableModel1() {
		return myTableModel1;
	}

	public void setMyTableModel1(ZEOTableModel myTableModel1) {
		this.myTableModel1 = myTableModel1;
	}

	public ZEOTableModel getMyTableModel2() {
		return myTableModel2;
	}

	public void setMyTableModel2(ZEOTableModel myTableModel2) {
		this.myTableModel2 = myTableModel2;
	}

	public javax.swing.JTextField getTfFiltreNiveau1() {
		return tfFiltreNiveau1;
	}

	public javax.swing.JTextField getTfFiltreNiveau2() {
		return tfFiltreNiveau2;
	}

	public void setTfFiltreNiveau2(javax.swing.JTextField tfFiltreNiveau2) {
		this.tfFiltreNiveau2 = tfFiltreNiveau2;
	}

	public void setTfFiltreNiveau1(javax.swing.JTextField tfFiltreNiveau1) {
		this.tfFiltreNiveau1 = tfFiltreNiveau1;
	}

	public ZEOTable getMyEOTable1() {
		return myEOTable1;
	}

	public void setMyEOTable1(ZEOTable myEOTable1) {
		this.myEOTable1 = myEOTable1;
	}

	public javax.swing.JCheckBox getCheckCNMasques() {
		return checkCNMasques;
	}

	public void setCheckCNMasques(javax.swing.JCheckBox checkCNMasques) {
		this.checkCNMasques = checkCNMasques;
	}
	
	public ZEOTable getMyEOTableDerivationComptable() {
	    return myEOTableDerivationComptable;
	}

    /**
     * @return the btnAddCompte
     */
    public javax.swing.JButton getBtnAddCompte() {
        return btnAddCompte;
    }

    /**
     * @return the btnDelCompte
     */
    public javax.swing.JButton getBtnDelCompte() {
        return btnDelCompte;
    }
}
